Platform
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST |
List all platform alerts
Required API key scopes
alert:readQuery parameters
- legacy_configuration_idstring
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /platform_alertsExample response
Status 200
RESPONSE
Create platform alerts
Required API key scopes
alert:writeResponse
Example request
Example response
Status 201
RESPONSE
Status 400 The settings are invalid, or the source refused the create.
Status 403 The caller cannot write alerts of this source kind.
Status 409 The URL names an environment, whose alerts are created on its own page.
Retrieve platform alerts
Required API key scopes
alert:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /platform_alerts /:idExample response
Status 200
RESPONSE
Update platform alerts
Required API key scopes
alert:writePath parameters
- idstring
Response
Example request
Example response
Status 200
RESPONSE
Status 403 The caller cannot write alerts of this source kind.
Status 404 No alert with this id that the caller can read.
Status 409 The source product owns this alert, so only its own API edits it.
Delete platform alerts
Required API key scopes
alert:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /platform_alerts /:idExample response
Status 204 The alert, its source's own row and its destinations are deleted.
Status 403 The caller cannot write alerts of this source kind.
Status 404 No alert with this id that the caller can read.
Status 409 The source product owns this alert, so only its own API deletes it.
Create platform alerts snooze group
Required API key scopes
alert:writePath parameters
- idstring
Request parameters
- grouping_keystring
- snooze_untilstring | null
Response
Example request
POST /api /projects /:project_id /platform_alerts /:id /snooze_groupExample response
Status 200
RESPONSE











